import { Resolution } from '../resolve';
export declare function shortIdToFullId(shortId: string, registry: string): string;
export declare function getPkgShortId(reference: string, pkgName: string): string;
export declare function getPkgId(reference: string, pkgName: string, registry: string): string;
export declare function pkgIdToRef(pkgId: string, pkgName: string, resolution: Resolution, standardRegistry: string): string;
export declare function pkgShortId(pkgId: string, standardRegistry: string): string;
